RTEMS: NXP MPC5200

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Modules | Files | Macros | Functions
NXP MPC5200
Board Support Packages » PowerPC

NXP MPC5200 Board Support Package. More...

## Modules
| BestComm Support
| BestComm support.
| MSCAN

## Files
file | bsp.h
| Global BSP definitions.

## Macros
#define | NEED_LOW_LEVEL_INIT
#define | RTEMS_BSP_NETWORK_DRIVER_NAME "eth1"
#define | RTEMS_BSP_NETWORK_DRIVER_ATTACH rtems_mpc5200_fec_driver_attach_detach
#define | RTEMS_BSP_HAS_IDE_DRIVER
#define | ATA_USE_INT
#define | IPB_CLOCK 33000000 /* 33 MHz */
#define | XLB_CLOCK 66000000 /* 66 MHz */
#define | G2_CLOCK 231000000 /* 231 MHz */
#define | GEN5200_CONSOLE_BAUD 115200
#define | BSP_Convert_decrementer(_value) (int) (((_value) * 4000) / (XLB_CLOCK/10000))
#define | USE_SLICETIMER_0 TRUE
#define | USE_SLICETIMER_1 FALSE
#define | BSP_IDLE_TASK_BODY bsp_idle_thread

## Functions
| LINKER_SYMBOL (bsp_ram_start)
| LINKER_SYMBOL (bsp_ram_end)
| LINKER_SYMBOL (bsp_ram_size)
| LINKER_SYMBOL (bsp_rom_start)
| LINKER_SYMBOL (bsp_rom_end)
| LINKER_SYMBOL (bsp_rom_size)
| LINKER_SYMBOL (bsp_dpram_start)
| LINKER_SYMBOL (bsp_dpram_end)
| LINKER_SYMBOL (bsp_dpram_size)
| LINKER_SYMBOL (bsp_section_text_start)
| LINKER_SYMBOL (bsp_section_text_end)
| LINKER_SYMBOL (bsp_section_text_size)
| LINKER_SYMBOL (bsp_section_data_start)
| LINKER_SYMBOL (bsp_section_data_end)
| LINKER_SYMBOL (bsp_section_data_size)
| LINKER_SYMBOL (bsp_section_bss_start)
| LINKER_SYMBOL (bsp_section_bss_end)
| LINKER_SYMBOL (bsp_section_bss_size)
| LINKER_SYMBOL (bsp_work_area_start)
| LINKER_SYMBOL (MBAR)
int | rtems_mpc5200_fec_driver_attach_detach (struct rtems_bsdnet_ifconfig *config, int attaching)
void * | bsp_idle_thread (uintptr_t ignored)
| Optimized idle task.
void | BSP_IRQ_Benchmarking_Reset (void)
void | BSP_IRQ_Benchmarking_Report (void)
void | cpu_init (void)
int | mpc5200_eth_mii_read (int phyAddr, void *arg, unsigned regAddr, uint32_t *retVal)

## Detailed Description

NXP MPC5200 Board Support Package.

## Function Documentation

## ◆ bsp_idle_thread()

void * bsp_idle_thread | ( | uintptr_t | ignored | ) |

Optimized idle task.

This BSP provides its own IDLE thread to override the RTEMS one.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>
confdefs.h
Evaluate Configuration Options.

This BSP provides its own IDLE thread to override the RTEMS one.

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.

This BSP provides its own IDLE thread to override the RTEMS one.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.